uses
	sysutils;

var
	n, s, i: longint;

begin
	n := strtoint(paramstr(1));
	s := strtoint(paramstr(2));
	writeln(n);
	for i := 1 to n do begin
		write(s);
		if (i < n) then
			write(' ');
	end;
	writeln;
end.